Bug 168095 - kernel BUG call during Altix 350 16p/16G system boot
kernel BUG call during Altix 350 16p/16G system boot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Prarit Bhargava
Brian Brock
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2005-09-12 09:08 EDT by Prarit Bhargava
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-23 22:19:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prarit Bhargava 2005-09-12 09:08:01 EDT
Description of problem:

System boot yeilds kernel BUG call on Altix 350 16p/16G

Version-Release number of selected component (if applicable):

rawhide-20050911

How reproducible:

100%

Steps to Reproduce:
1. Boot boot.iso CD or vmlinuz and initrd.img from boot.img or boot.iso

  
Actual results:

ELILO boot: Uncompressing Linux... done
Loading initrd initrd-install.img...done
Linux version 2.6.13-1.1548_FC5 (bhcompile@boris.devel.redhat.com) (gcc version
4.0.1 20050906 (Red Hat 4.0.1-13)) #1 SMP Fri Sep 9 20:10:23 EDT 2005
EFI v1.02 by SGI: SALsystab=0x3002514a60 ACPI 2.0=0x30027a0cd0
booting generic kernel on platform sn2
Number of logical nodes in system = 8
Number of memory chunks in system = 8
Initial ramdisk at: 0xe00003b07a6ff000 (6689364 bytes)
SAL 2.9: SGI SN2 version 4.4
SAL Platform features: ITC_Drift
SAL: AP wakeup using external interrupt vector 0x12
No logical to physical processor mapping available
kernel BUG at arch/ia64/sn/kernel/setup.c:473!
swapper[0]: bugcheck! 0 [1]
Modules linked in:

Pid: 0, CPU 0, comm:              swapper
psr : 00001010084a2010 ifs : 8000000000000b1e ip  : [<a00000010076a720>]    Not
tainted
ip is at sn_cpu_init+0x1060/0x10c0
unat: 0000000000000000 pfs : 0000000000000b1e rsc : 0000000000000003
rnat: ccccccccc8c00000 bsps: 000000000000fffd pr  : 80000000ff5e9a59
ldrs: 0000000000000000 ccv : 0000000000000000 fpsr: 0009804c8a70433f
csd : 0000000000000000 ssd : 0000000000000000
b0  : a00000010076a720 b6  : e00000300233c320 b7  : a00000010039bc20
f6  : 100239d246d4900000000 f7  : 10008fa00000000000000
f8  : 1003e0000000005074f45 f9  : 10019a0e9e8bd7093baff
f10 : 0fffdccccccccc8c00000 f11 : 1003e0000000000000000
r1  : a000000100acfa90 r2  : 0000000000000997 r3  : fffffffffffffafd
r8  : 0000000000000032 r9  : a00000010077ecd8 r10 : a0000001008e4640
r11 : a000000100787b30 r12 : a000000100787be0 r13 : a000000100780000
r14 : 0000000000004000 r15 : 0000000000000000 r16 : a000000100787b40
r17 : a000000100787b48 r18 : 0000000000004000 r19 : e000000001fffc00
r20 : a0000001008e3a48 r21 : a0000001008e3a48 r22 : 0000000000000034
r23 : 0000000000000034 r24 : a000000100949b2a r25 : 00000000000004d2
r26 : 000000000000003e r27 : 00000010084a2010 r28 : 00000000000004d3
r29 : 00000000000004d3 r30 : 0000000000000000 r31 : a0000001008e4618
Unable to handle kernel NULL pointer dereference (address 0000000000001070)
swapper[0]: Oops 11012296146944 [2]
Modules linked in:

Pid: 0, CPU 0, comm:              swapper
psr : 0000121008022018 ifs : 8000000000000288 ip  : [<a0000001000f63c1>]    Not
tainted
ip is at kmem_flagcheck+0x61/0x100
unat: 0000000000000000 pfs : 000000000000030a rsc : 0000000000000003
rnat: 0000000000000000 bsps: 0000000000000000 pr  : 80000000ff5ea565
ldrs: 0000000000000000 ccv : 0000000000000000 fpsr: 0009804c8a70033f
csd : 0000000000000000 ssd : 0000000000000000
b0  : a0000001000f85a0 b6  : a000000100043f40 b7  : a00000010000c230
f6  : 1003e2b8d69cd3db67f84 f7  : 1003e9e3779b97f4a7c16
f8  : 1003e0a00000010001286 f9  : 10019a19e1ba28f4bfae1
f10 : 0fffe9ffffffff6000000 f11 : 1003e0000000000000000
r1  : a000000100acfa90 r2  : a0000001007f9c28 r3  : a0000001008dbe40
r8  : 0000000000001070 r9  : 0000000000000000 r10 : a0000001007870d0
r11 : a000000100787098 r12 : a000000100787080 r13 : a000000100780000
r14 : 0000000000000000 r15 : 0000000000000018 r16 : a000000100787100
r17 : 000000007fffffff r18 : a000000100809e58 r19 : a0000001007870f8
r20 : a0000001008d0848 r21 : 0000000000000000 r22 : a000000100787218
r23 : a000000100787098 r24 : a000000100800fb0 r25 : 0000000000000002
r26 : 0000000000000000 r27 : 0000000000001bc8 r28 : 0000000000000002
r29 : 2b8d69cd3db67f84 r30 : 000000000000184f r31 : 0000000000000000

Expected results:

No oops should happen.

Additional info:

Prarit is on site at RH in Westford, MA with this system configuration.  No
other system configs tested (yet).
Comment 1 Dave Jones 2005-12-28 00:14:12 EST
Still a problem with latest builds ?
Comment 2 Prarit Bhargava 2006-02-23 13:05:00 EST
No longer happens. 

Note You need to log in before you can comment on or make changes to this bug.